Defines | Variables

# extmidi.cpp File Reference

Playing music via an external player. More...

`#include "../stdafx.h"`
`#include "../debug.h"`
`#include "../string_func.h"`
`#include "../sound/sound_driver.hpp"`
`#include "../video/video_driver.hpp"`
`#include "../gfx_func.h"`
`#include "extmidi.h"`
`#include <fcntl.h>`
`#include <sys/types.h>`
`#include <sys/wait.h>`
`#include <unistd.h>`
`#include <signal.h>`
`#include <sys/stat.h>`
`#include <errno.h>`

Go to the source code of this file.

## Defines
#define | EXTERNAL_PLAYER "timidity"
| The default external midi player.
## Variables
static FMusicDriver_ExtMidi | iFMusicDriver_ExtMidi
| Factory for the midi player that uses external players.

## Detailed Description

Playing music via an external player.

Definition in file extmidi.cpp.

## Define Documentation

#define EXTERNAL_PLAYER "timidity"

The default external midi player.

Definition at line 30 of file extmidi.cpp.

## Variable Documentation

FMusicDriver_ExtMidi iFMusicDriver_ExtMidi`[static]`

Factory for the midi player that uses external players.

Definition at line 34 of file extmidi.cpp.